From: tip-bot for Wang Nan <tipbot@zytor.com>
To: linux-tip-commits@vger.kernel.org
Cc: wangnan0@huawei.com, tglx@linutronix.de,
linux-kernel@vger.kernel.org, jolsa@kernel.org, mingo@kernel.org,
namhyung@kernel.org, hpa@zytor.com, lizefan@huawei.com,
acme@redhat.com
Subject: [tip:perf/urgent] perf build: Pass O option to Makefile.perf in build-test
Date: Tue, 19 Jan 2016 05:35:10 -0800 [thread overview]
Message-ID: <tip-eb807730c034090599135bc03578015ebf8974af@git.kernel.org> (raw)
In-Reply-To: <1452830421-77757-3-git-send-email-wangnan0@huawei.com>
Commit-ID: eb807730c034090599135bc03578015ebf8974af
Gitweb: http://git.kernel.org/tip/eb807730c034090599135bc03578015ebf8974af
Author: Wang Nan <wangnan0@huawei.com>
AuthorDate: Fri, 15 Jan 2016 04:00:14 +0000
Committer: Arnaldo Carvalho de Melo <acme@redhat.com>
CommitDate: Fri, 15 Jan 2016 16:31:59 -0300
perf build: Pass O option to Makefile.perf in build-test
Unlike tools/perf/Makefile, tools/perf/Makefile.perf obey 'O' option
when it is passed through cmdline only, due to code in
tools/scripts/Makefile.include:
ifneq ($(O),)
ifeq ($(origin O), command line)
...
ABSOLUTE_O := $(shell cd $(O) ; pwd)
OUTPUT := $(ABSOLUTE_O)/$(if $(subdir),$(subdir)/)
endif
endif
This patch passes 'O' to Makefile.perf through cmdline explicitly
to make it follow O variable during build-test.
'make clean' should have identical 'O' option with 'make'. If not,
config-clean may error.
Signed-off-by: Wang Nan <wangnan0@huawei.com>
Tested-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Zefan Li <lizefan@huawei.com>
Cc: pi3orama@163.com
Link: http://lkml.kernel.org/r/1452830421-77757-3-git-send-email-wangnan0@huawei.com
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
tools/perf/tests/make | 14 +++++++++++---
1 file changed, 11 insertions(+), 3 deletions(-)
diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index c0ee679..fc2a9a3 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -5,7 +5,7 @@ ifeq ($(MAKECMDGOALS),)
# no target specified, trigger the whole suite
all:
@echo "Testing Makefile"; $(MAKE) -sf tests/make MK=Makefile
- @echo "Testing Makefile.perf"; $(MAKE) -sf tests/make MK=Makefile.perf SET_PARALLEL=1
+ @echo "Testing Makefile.perf"; $(MAKE) -sf tests/make MK=Makefile.perf SET_PARALLEL=1 SET_O=1
else
# run only specific test over 'Makefile'
%:
@@ -13,6 +13,14 @@ else
endif
else
PERF := .
+O_OPT :=
+
+ifneq ($(O),)
+ FULL_O := $(shell readlink -f $(O) || echo $(O))
+ ifeq ($(SET_O),1)
+ O_OPT := 'O=$(FULL_O)'
+ endif
+endif
PARALLEL_OPT=
ifeq ($(SET_PARALLEL),1)
@@ -256,12 +264,12 @@ endif
MAKEFLAGS := --no-print-directory
-clean := @(cd $(PERF); make -s -f $(MK) clean >/dev/null)
+clean := @(cd $(PERF); make -s -f $(MK) $(O_OPT) clean >/dev/null)
$(run):
$(call clean)
@TMP_DEST=$$(mktemp -d); \
- cmd="cd $(PERF) && make -f $(MK) $(PARALLEL_OPT) DESTDIR=$$TMP_DEST $($@)"; \
+ cmd="cd $(PERF) && make -f $(MK) $(PARALLEL_OPT) $(O_OPT) DESTDIR=$$TMP_DEST $($@)"; \
echo "- $@: $$cmd" && echo $$cmd > $@ && \
( eval $$cmd ) >> $@ 2>&1; \
echo " test: $(call test,$@)" >> $@ 2>&1; \
next prev parent reply other threads:[~2016-01-19 13:35 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-15 4:00 [PATCH v3 0/9] perf build: Make build-test faster Wang Nan
2016-01-15 4:00 ` [PATCH v3 1/9] perf build: Set parallel making options build-test Wang Nan
2016-01-15 4:00 ` [PATCH v3 2/9] perf build: Pass O option to Makefile.perf in build-test Wang Nan
2016-01-19 13:35 ` tip-bot for Wang Nan [this message]
2016-01-15 4:00 ` [PATCH v3 3/9] perf build: Test correct path of perf " Wang Nan
2016-01-19 13:35 ` [tip:perf/urgent] " tip-bot for Wang Nan
2016-01-15 4:00 ` [PATCH v3 4/9] perf build: Pass O option to kernel makefile " Wang Nan
2016-01-19 13:35 ` [tip:perf/urgent] " tip-bot for Wang Nan
2016-01-15 4:00 ` [PATCH v3 5/9] perf build: Add feature-dump target Wang Nan
2016-01-15 19:11 ` Arnaldo Carvalho de Melo
2016-01-15 19:23 ` Arnaldo Carvalho de Melo
2016-01-15 19:27 ` Arnaldo Carvalho de Melo
2016-01-19 13:36 ` [tip:perf/urgent] " tip-bot for Jiri Olsa
2016-01-15 4:00 ` [PATCH v3 6/9] perf build: Introduce FEATURES_DUMP make variable Wang Nan
2016-01-19 13:36 ` [tip:perf/urgent] " tip-bot for Jiri Olsa
2016-01-15 4:00 ` [PATCH v3 7/9] tools build: Allow subprojects select all feature checkers Wang Nan
2016-01-15 4:00 ` [PATCH v3 8/9] perf build: Select all feature checkers for feature-dump Wang Nan
2016-01-15 4:00 ` [PATCH v3 9/9] perf build: Use feature dump file for build-test Wang Nan
2016-01-15 14:06 ` [PATCH v3 9/9 -fix] " Wang Nan
2016-01-15 14:08 ` [PATCH v3 9/9] " Wangnan (F)
2016-01-15 10:20 ` [PATCH v3 0/9] perf build: Make build-test faster Jiri Olsa
2016-01-15 14:36 ` Arnaldo Carvalho de Melo
2016-01-15 14:54 ` Arnaldo Carvalho de Melo
2016-01-15 14:54 ` pi3orama
2016-01-15 15:12 ` Arnaldo Carvalho de Melo
2016-01-15 16:33 ` Arnaldo Carvalho de Melo
2016-01-15 18:56 ` Arnaldo Carvalho de Melo
2016-01-15 19:01 ` Arnaldo Carvalho de Melo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=tip-eb807730c034090599135bc03578015ebf8974af@git.kernel.org \
--to=tipbot@zytor.com \
--cc=acme@redhat.com \
--cc=hpa@zytor.com \
--cc=jolsa@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-tip-commits@vger.kernel.org \
--cc=lizefan@huawei.com \
--cc=mingo@kernel.org \
--cc=namhyung@kernel.org \
--cc=tglx@linutronix.de \
--cc=wangnan0@huawei.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.